Migrating to new Server Errors

Need help installing Joomla! 3.x? For all Joomla! 3.x installation issues please use this forum.

Moderator: General Support Moderators

Forum rules
Forum Rules
Absolute Beginner's Guide to Joomla! <-- please read before posting, this means YOU.
Forum Post Assistant - If you are serious about wanting help, you will use this tool to help you post.
Windows Defender SmartScreen Issues <-- please read this if using Windows 10
Post Reply
attainDB
Joomla! Fledgling
Joomla! Fledgling
Posts: 2
Joined: Wed Oct 20, 2021 5:36 pm

Migrating to new Server Errors

Post by attainDB » Wed Oct 20, 2021 5:43 pm

Absolutely new to Ubuntu and Joomla. Asked to move an existing Joomla instance to a new server and having nothing but issues :) Here's my FPA data, can't figure out why PHPSupportsJ!3.9.5 says no when I read that this version is supported by PHP 8.
Forum Post Assistant (v1.6.3) : 20-Oct-2021 wrote:
Basic Environment :: wrote:Joomla! Instance :: Joomla! 3.9.5-Stable (Amani) 9-April-2019
Joomla! Platform :: Joomla Platform 13.1.0-Stable (Curiosity) 24-Apr-2013
Joomla! Configured :: Yes | Writable (644) |
Configuration Options :: Offline: false | SEF: true | SEF Suffix: false | SEF ReWrite: false | .htaccess/web.config: Yes | GZip: false | Cache: false | CacheTime: 15 | CacheHandler: file | CachePlatformPrefix: false | FTP Layer: false | Proxy: N/A | LiveSite: | Session lifetime: 15 | Session handler: database | Shared sessions: false | SSL: N/A | Error Reporting: maximum | Site Debug: false | Language Debug: false | Default Access: 1 | Unicode Slugs: false | dbConnection Type: mysqli | PHP Supports J! 3.9.5: No | Database Supports J! 3.9.5: Yes | Database Credentials Present: Yes |

Host Configuration :: OS: Linux | OS Version: 4.15.0-159-generic | Technology: x86_64 | Web Server: Apache/2.4.29 (Ubuntu) | Encoding: gzip, deflate | System TMP Writable: Yes | Free Disk Space : 9.74 GiB |

PHP Configuration :: Version: 8.0.11 | PHP API: apache2handler | Session Path Writable: Yes | Display Errors: 0 | Error Reporting: 22527 | Log Errors To: | Last Known Error: | Register Globals: | Magic Quotes: | Safe Mode: | Allow url fopen: 1 | Open Base: | Uploads: 1 | Max. Upload Size: 2M | Max. POST Size: 8M | Max. Input Time: 60 | Max. Execution Time: 30 | Memory Limit: 128M

Database Configuration :: Version: 5.5.5-10.1.48-MariaDB-0ubuntu0.18.04.1 (Client:mysqlnd 8.0.11) | Database Size: 102.39 MiB | #of Tables with config prefix:  129 | #of other Tables:  93 | User Privileges : GRANT ALL
Detailed Environment :: wrote:PHP Extensions :: Core (8.0.11) | date (8.0.11) | libxml (8.0.11) | openssl (8.0.11) | pcre (8.0.11) | zlib (8.0.11) | filter (8.0.11) | hash (8.0.11) | json (8.0.11) | Reflection (8.0.11) | SPL (8.0.11) | session (8.0.11) | standard (8.0.11) | sodium (8.0.11) | apache2handler (8.0.11) | mysqlnd (mysqlnd 8.0.11) | PDO (8.0.11) | xml (8.0.11) | calendar (8.0.11) | ctype (8.0.11) | curl (8.0.11) | dom (20031129) | mbstring (8.0.11) | FFI (8.0.11) | fileinfo (8.0.11) | ftp (8.0.11) | gd (8.0.11) | gettext (8.0.11) | gmp (8.0.11) | iconv (8.0.11) | intl (8.0.11) | exif (8.0.11) | mysqli (8.0.11) | pdo_mysql (8.0.11) | Phar (8.0.11) | posix (8.0.11) | readline (8.0.11) | shmop (8.0.11) | SimpleXML (8.0.11) | sockets (8.0.11) | sysvmsg (8.0.11) | sysvsem (8.0.11) | sysvshm (8.0.11) | tokenizer (8.0.11) | xmlreader (8.0.11) | xmlrpc (1.0.0RC2) | xmlwriter (8.0.11) | xsl (8.0.11) | zip (1.19.4) | Zend OPcache (8.0.11) | Zend Engine (4.0.11) |
Potential Missing Extensions ::
Disabled Functions :: pcntl_alarm | pcntl_fork | pcntl_waitpid | pcntl_wait | pcntl_wifexited | pcntl_wifstopped | pcntl_wifsignaled | pcntl_wifcontinued | pcntl_wexitstatus | pcntl_wtermsig | pcntl_wstopsig | pcntl_signal | pcntl_signal_get_handler | pcntl_signal_dispatch | pcntl_get_last_error | pcntl_strerror | pcntl_sigprocmask | pcntl_sigwaitinfo | pcntl_sigtimedwait | pcntl_exec | pcntl_getpriority | pcntl_setpriority | pcntl_async_signals | pcntl_unshare | |

Switch User Environment :: PHP CGI: No | Server SU: No | PHP SU: No | Potential Ownership Issues: Maybe

Apache Modules :: core | mod_so | mod_watchdog | http_core | mod_log_config | mod_logio | mod_version | mod_unixd | mod_access_compat | mod_alias | mod_auth_basic | mod_authn_core | mod_authn_file | mod_authz_core | mod_authz_host | mod_authz_user | mod_autoindex | mod_deflate | mod_dir | mod_env | mod_filter | mod_mime | prefork | mod_negotiation | mod_php | mod_reqtimeout | mod_rewrite | mod_setenvif | mod_status | Apache/2.4.29 (Ubuntu) |
Potential Missing Modules :: mod_expires | mod_security | mod_evasive | mod_dosevasive | mod_ssl | mod_qos | mod_userdir |
Folder Permissions :: wrote:Core Folders :: images/ (755) | components/ (755) | modules/ (755) | plugins/ (755) | language/ (755) | templates/ (755) | cache/ (755) | logs/ (755) | tmp/ (755) | administrator/components/ (755) | administrator/modules/ (755) | administrator/language/ (755) | administrator/templates/ (755) | administrator/logs/ (755) |

Elevated Permissions (First 10) ::
Database Information :: wrote:Database statistics :: Uptime: 1140 | Threads: 1 | Questions: 97 | Slow queries: 0 | Opens: 254 | Flush tables: 1 | Open tables: 248 | Queries per second avg: 0.085 |
Extensions Discovered :: wrote:Components :: Site ::
Core :: com_mailto (3.0.0) 1 | com_wrapper (3.0.0) 1 |
3rd Party::

Components :: Admin ::
Core :: com_associations (3.7.0) 1 | com_config (3.0.0) 1 | com_users (3.0.0) 1 | com_modules (3.0.0) 1 | com_checkin (3.0.0) 1 | com_languages (3.0.0) 1 | com_tags (3.1.0) 1 | com_newsfeeds (3.0.0) 1 | com_actionlogs (3.9.0) 1 | com_admin (3.0.0) 1 | com_banners (3.0.0) 1 | com_ajax (3.2.0) 1 | com_categories (3.0.0) 1 | com_plugins (3.0.0) 1 | com_installer (3.0.0) 1 | com_login (3.0.0) 1 | com_templates (3.0.0) 1 | com_search (3.0.0) 1 | com_fields (3.7.0) 1 | com_joomlaupdate (3.6.2) 1 | com_postinstall (3.2.0) 1 | com_content (3.0.0) 1 | com_cache (3.0.0) 1 | com_finder (3.0.0) 1 | com_contenthistory (3.2.0) 1 | com_privacy (3.9.0) 1 | com_media (3.0.0) 1 | com_messages (3.0.0) 1 | com_menus (3.0.0) 1 | com_cpanel (3.0.0) 1 | com_redirect (3.0.0) 1 |
3rd Party::

Modules :: Site ::
Core :: mod_breadcrumbs (3.0.0) 1 | mod_finder (3.0.0) 1 | mod_menu (3.0.0) 1 | mod_users_latest (3.0.0) 1 | mod_footer (3.0.0) 1 | mod_login (3.0.0) 1 | mod_articles_latest (3.0.0) 1 | mod_articles_popular (3.0.0) 1 | mod_whosonline (3.0.0) 1 | mod_articles_news (3.0.0) 1 | mod_tags_similar (3.1.0) 1 | mod_feed (3.0.0) 1 | mod_stats (3.0.0) 1 | mod_articles_categories (3.0.0) 1 | mod_search (3.0.0) 1 | mod_syndicate (3.0.0) 1 | mod_tags_popular (3.1.0) 1 | mod_random_image (3.0.0) 1 | mod_wrapper (3.0.0) 1 | mod_languages (3.5.0) 1 | mod_related_items (3.0.0) 1 | mod_banners (3.0.0) 1 | mod_custom (3.0.0) 1 | mod_articles_archive (3.0.0) 1 | mod_articles_category (3.0.0) 1 |
3rd Party::

Modules :: Admin ::
Core :: mod_latest (3.0.0) 1 | mod_stats_admin (3.0.0) 1 | mod_menu (3.0.0) 1 | mod_toolbar (3.0.0) 1 | mod_login (3.0.0) 1 | mod_latestactions (3.9.0) 1 | mod_version (3.0.0) 1 | mod_feed (3.0.0) 1 | mod_submenu (3.0.0) 1 | mod_privacy_dashboard (3.9.0) 1 | mod_multilangstatus (3.0.0) 1 | mod_quickicon (3.0.0) 1 | mod_title (3.0.0) 1 | mod_sampledata (3.8.0) 1 | mod_status (3.0.0) 1 | mod_logged (3.0.0) 1 | mod_popular (3.0.0) 1 | mod_custom (3.0.0) 1 |
3rd Party::

Libraries ::
Core ::
3rd Party::

Plugins ::
Core :: plg_fields_text (3.7.0) 1 | plg_fields_checkboxes (3.7.0) 1 | plg_fields_color (3.7.0) 1 | plg_fields_imagelist (3.7.0) 1 | plg_fields_sql (3.7.0) 1 | plg_fields_calendar (3.7.0) 1 | plg_fields_usergrouplist (3.7.0) 1 | plg_fields_textarea (3.7.0) 1 | plg_fields_list (3.7.0) 1 | plg_fields_media (3.7.0) 1 | plg_fields_editor (3.7.0) 1 | plg_fields_radio (3.7.0) 1 | plg_fields_integer (3.7.0) 1 | plg_fields_user (3.7.0) 1 | plg_fields_repeatable (3.9.0) 1 | plg_fields_url (3.7.0) 1 | plg_editors-xtd_image (3.0.0) 1 | plg_editors-xtd_fields (3.7.0) 1 | plg_editors-xtd_readmore (3.0.0) 1 | plg_editors-xtd_menu (3.7.0) 1 | plg_editors-xtd_module (3.5.0) 1 | plg_editors-xtd_pagebreak (3.0.0) 1 | plg_editors-xtd_article (3.0.0) 1 | plg_privacy_actionlogs (3.9.0) 1 | plg_privacy_consents (3.9.0) 1 | plg_privacy_user (3.9.0) 1 | plg_privacy_message (3.9.0) 1 | plg_privacy_content (3.9.0) 1 | plg_search_categories (3.0.0) 0 | plg_search_newsfeeds (3.0.0) 1 | plg_search_contacts (3.0.0) 0 | plg_search_tags (3.0.0) 0 | plg_search_content (3.0.0) 1 | plg_user_contactcreator (3.0.0) 0 | plg_user_profile (3.0.0) 1 | plg_user_terms (3.9.0) 0 | plg_user_joomla (3.0.0) 1 | plg_system_cache (3.0.0) 0 | plg_system_fields (3.7.0) 1 | plg_system_debug (3.0.0) 1 | PLG_SYSTEM_ACTIONLOGS (3.9.0) 0 | plg_system_languagecode (3.0.0) 0 | plg_system_redirect (3.0.0) 1 | plg_system_logrotation (3.9.0) 1 | plg_system_privacyconsent (3.9.0) 0 | plg_system_logout (3.0.0) 1 | plg_system_sef (3.0.0) 1 | plg_system_p3p (3.0.0) 1 | plg_system_stats (3.5.0) 1 | plg_system_highlight (3.0.0) 1 | plg_system_remember (3.0.0) 0 | plg_system_languagefilter (3.0.0) 0 | plg_system_updatenotification (3.5.0) 1 | plg_system_sessiongc (3.8.6) 1 | plg_system_log (3.0.0) 1 | PLG_ACTIONLOG_JOOMLA (3.9.0) 1 | plg_captcha_recaptcha_invisible (3.8) 0 | plg_captcha_recaptcha (3.4.0) 1 | plg_finder_categories (3.0.0) 0 | plg_finder_newsfeeds (3.0.0) 0 | plg_finder_contacts (3.0.0) 0 | plg_finder_tags (3.0.0) 0 | plg_finder_content (3.0.0) 1 | plg_extension_joomla (3.0.0) 1 | plg_quickicon_phpversioncheck (3.7.0) 1 | plg_quickicon_extensionupdate (3.0.0) 1 | plg_quickicon_joomlaupdate (3.0.0) 1 | plg_quickicon_privacycheck (3.9.0) 1 | PLG_INSTALLER_URLINSTALLER (3.6.0) 1 | PLG_INSTALLER_FOLDERINSTALLER (3.6.0) 1 | plg_installer_packageinstaller (3.6.0) 1 | plg_authentication_gmail (3.0.0) 0 | plg_authentication_ldap (3.0.0) 0 | plg_authentication_joomla (3.0.0) 1 | plg_authentication_cookie (3.0.0) 1 | plg_twofactorauth_totp (3.2.0) 1 | plg_twofactorauth_yubikey (3.2.0) 1 | plg_content_pagenavigation (3.0.0) 1 | plg_content_fields (3.7.0) 1 | plg_content_vote (3.0.0) 1 | plg_content_emailcloak (3.0.0) 0 | plg_content_confirmconsent (3.9.0) 0 | plg_content_loadmodule (3.0.0) 1 | plg_content_finder (3.0.0) 1 | plg_content_joomla (3.0.0) 1 | plg_content_pagebreak (3.0.0) 1 |
3rd Party:: plg_editors_tinymce (4.5.9) 1 | plg_editors_codemirror (5.40.0) 1 |
Templates Discovered :: wrote:Templates :: Site :: beez3 (3.1.0) 0 | protostar (1.0) 0 |
Templates :: Admin :: isis (1.0) 1 | hathor (3.0.0) 0 |

User avatar
Per Yngve Berg
Joomla! Master
Joomla! Master
Posts: 28306
Joined: Mon Oct 27, 2008 9:27 pm
Location: Romerike, Norway

Re: Migrating to new Server Errors

Post by Per Yngve Berg » Wed Oct 20, 2021 6:17 pm

3.9.5 is not compatible with php 8. The current version is 3.10.2. Why is the source server not updated?


Did you use Akeeba Backup and Kickstart to move the site?

You have to do some changes on the server.

PHP API: apache2handler. You will have file ownwrship Issues. Change to fpm-cgi.

You may host additional sites on the server in the futura. Isolate them by running with different Linux Users.

Max. Upload Size: 2M | Max. POST Size: 8M

Way to small. Increase to 32M and 64M.

Install mod_ssl

attainDB
Joomla! Fledgling
Joomla! Fledgling
Posts: 2
Joined: Wed Oct 20, 2021 5:36 pm

Re: Migrating to new Server Errors

Post by attainDB » Wed Oct 20, 2021 9:31 pm

This server was just given to me to move from one provider to another and I have no idea why nobody was updating it. You say that 3.95 is not php8 compatible, but the Joomla site differently: https://downloads.joomla.org/technical-requirements

No, I didn't use Akeeba backup and Kickstart because I don't have access to them. The original is also on Amazon, so I have limited access.

Either way, I've removed php 8 and rolled all the way back to php 5.6 because that's what the original server was running the FPA dashboard is showing green now. Now I'm dealing with issues :( Missing EF4 Joomla-Monster Framework plugin and I can't access the administrator page. The admin page just comes up with the php file as text.
Forum Post Assistant (v1.6.3) : 20-Oct-2021 wrote:
Basic Environment :: wrote:Joomla! Instance :: Joomla! 3.9.5-Stable (Amani) 9-April-2019
Joomla! Platform :: Joomla Platform 13.1.0-Stable (Curiosity) 24-Apr-2013
Joomla! Configured :: Yes | Writable (644) |
Configuration Options :: Offline: false | SEF: true | SEF Suffix: false | SEF ReWrite: false | .htaccess/web.config: Yes | GZip: false | Cache: false | CacheTime: 15 | CacheHandler: file | CachePlatformPrefix: false | FTP Layer: false | Proxy: N/A | LiveSite: | Session lifetime: 15 | Session handler: database | Shared sessions: false | SSL: N/A | Error Reporting: maximum | Site Debug: false | Language Debug: false | Default Access: 1 | Unicode Slugs: false | dbConnection Type: mysqli | PHP Supports J! 3.9.5: Yes | Database Supports J! 3.9.5: Yes | Database Credentials Present: Yes |

Host Configuration :: OS: Linux | OS Version: 4.15.0-159-generic | Technology: x86_64 | Web Server: Apache/2.4.29 (Ubuntu) | Encoding: gzip, deflate | System TMP Writable: Yes | Free Disk Space : 9.15 GiB |

PHP Configuration :: Version: 5.6.40-54+ubuntu18.04.1+deb.sury.org+1 | PHP API: apache2handler | Session Path Writable: Yes | Display Errors: 0 | Error Reporting: 22527 | Log Errors To: | Last Known Error: | Register Globals: | Magic Quotes: | Safe Mode: | Allow url fopen: 1 | Open Base: | Uploads: 1 | Max. Upload Size: 2M | Max. POST Size: 8M | Max. Input Time: 60 | Max. Execution Time: 30 | Memory Limit: 128M

Database Configuration :: Version: 5.5.5-10.1.48-MariaDB-0ubuntu0.18.04.1 (Client:mysqlnd 5.0.11-dev - 20120503 - $Id: 76b08b24596e12d4553bd41fc93cccd5bac2fe7a $) | Database Size: 102.39 MiB | #of Tables with config prefix:  129 | #of other Tables:  93 | User Privileges : GRANT ALL
Detailed Environment :: wrote:PHP Extensions :: Core (5.6.40-54+ubuntu18.04.1+deb.sury.org+1) | date (5.6.40-54+ubuntu18.04.1+deb.sury.org+1) | ereg () | libxml () | openssl () | pcre () | zlib (2.0) | filter (0.11.0) | hash (1.0) | Reflection ($Id: 5f15287237d5f78d75b19c26915aa7bd83dee8b8 $) | SPL (0.2) | session () | standard (5.6.40-54+ubuntu18.04.1+deb.sury.org+1) | apache2handler () | mysqlnd (mysqlnd 5.0.11-dev - 20120503 - $Id: 76b08b24596e12d4553bd41fc93cccd5bac2fe7a $) | PDO (1.0.4dev) | xml () | calendar () | ctype () | curl () | dom (20031129) | mbstring () | fileinfo (1.0.5) | ftp () | gd () | gettext () | iconv () | json (1.2.1) | exif (1.4 $Id: cad29b729548e4206f0697710cc9e177f26fdff3 $) | mysql (1.0) | mysqli (0.1) | pdo_mysql (1.0.2) | Phar (2.0.2) | posix () | readline (5.6.40-54+ubuntu18.04.1+deb.sury.org+1) | shmop () | SimpleXML (0.1) | sockets () | sysvmsg () | sysvsem () | sysvshm () | tokenizer (0.1) | wddx () | xmlreader (0.1) | xmlwriter (0.1) | xsl (0.1) | zip (1.12.5) | mhash () | Zend OPcache (7.0.6-devFE) | Zend Engine (2.6.0) |
Potential Missing Extensions ::
Disabled Functions :: pcntl_alarm | pcntl_fork | pcntl_waitpid | pcntl_wait | pcntl_wifexited | pcntl_wifstopped | pcntl_wifsignaled | pcntl_wexitstatus | pcntl_wtermsig | pcntl_wstopsig | pcntl_signal | pcntl_signal_dispatch | pcntl_get_last_error | pcntl_strerror | pcntl_sigprocmask | pcntl_sigwaitinfo | pcntl_sigtimedwait | pcntl_exec | pcntl_getpriority | pcntl_setpriority | |

Switch User Environment :: PHP CGI: No | Server SU: No | PHP SU: No | Potential Ownership Issues: Maybe

Apache Modules :: core | mod_so | mod_watchdog | http_core | mod_log_config | mod_logio | mod_version | mod_unixd | mod_access_compat | mod_alias | mod_auth_basic | mod_authn_core | mod_authn_file | mod_authz_core | mod_authz_host | mod_authz_user | mod_autoindex | mod_deflate | mod_dir | mod_env | mod_fcgid | mod_filter | mod_mime | prefork | mod_negotiation | mod_php5 | mod_reqtimeout | mod_rewrite | mod_setenvif | mod_socache_shmcb | mod_ssl | mod_status | Apache/2.4.29 (Ubuntu) |
Potential Missing Modules :: mod_expires | mod_security | mod_evasive | mod_dosevasive | mod_qos | mod_userdir |
Folder Permissions :: wrote:Core Folders :: images/ (755) | components/ (755) | modules/ (755) | plugins/ (755) | language/ (755) | templates/ (775) | cache/ (755) | logs/ (755) | tmp/ (755) | administrator/components/ (755) | administrator/modules/ (755) | administrator/language/ (755) | administrator/templates/ (755) | administrator/logs/ (755) |

Elevated Permissions (First 10) :: templates/ (775) | templates/jm-commune-offices/ (775) | templates/jm-commune-offices/assets/ (775) | templates/jm-commune-offices/cache/ (775) | templates/jm-commune-offices/js/ (775) | templates/jm-commune-offices/less/ (775) | templates/jm-commune-offices/less/override/ (775) | templates/jm-commune-offices/less/override/ltr/ (775) | templates/jm-commune-offices/less/override/rtl/ (775) | templates/jm-commune-offices/lib/ (775) |
Database Information :: wrote:Database statistics :: Uptime: 15023 | Threads: 1 | Questions: 235 | Slow queries: 0 | Opens: 257 | Flush tables: 1 | Open tables: 251 | Queries per second avg: 0.015 |
Extensions Discovered :: wrote:Components :: Site ::
Core :: com_mailto (3.0.0) 1 | com_wrapper (3.0.0) 1 |
3rd Party::

Components :: Admin ::
Core :: com_associations (3.7.0) 1 | com_config (3.0.0) 1 | com_users (3.0.0) 1 | com_modules (3.0.0) 1 | com_checkin (3.0.0) 1 | com_languages (3.0.0) 1 | com_tags (3.1.0) 1 | com_newsfeeds (3.0.0) 1 | com_actionlogs (3.9.0) 1 | com_admin (3.0.0) 1 | com_banners (3.0.0) 1 | com_ajax (3.2.0) 1 | com_categories (3.0.0) 1 | com_plugins (3.0.0) 1 | com_installer (3.0.0) 1 | com_login (3.0.0) 1 | com_templates (3.0.0) 1 | com_search (3.0.0) 1 | com_fields (3.7.0) 1 | com_joomlaupdate (3.6.2) 1 | com_postinstall (3.2.0) 1 | com_content (3.0.0) 1 | com_cache (3.0.0) 1 | com_finder (3.0.0) 1 | com_contenthistory (3.2.0) 1 | com_privacy (3.9.0) 1 | com_media (3.0.0) 1 | com_messages (3.0.0) 1 | com_menus (3.0.0) 1 | com_cpanel (3.0.0) 1 | com_redirect (3.0.0) 1 |
3rd Party::

Modules :: Site ::
Core :: mod_breadcrumbs (3.0.0) 1 | mod_finder (3.0.0) 1 | mod_menu (3.0.0) 1 | mod_users_latest (3.0.0) 1 | mod_footer (3.0.0) 1 | mod_login (3.0.0) 1 | mod_articles_latest (3.0.0) 1 | mod_articles_popular (3.0.0) 1 | mod_whosonline (3.0.0) 1 | mod_articles_news (3.0.0) 1 | mod_tags_similar (3.1.0) 1 | mod_feed (3.0.0) 1 | mod_stats (3.0.0) 1 | mod_articles_categories (3.0.0) 1 | mod_search (3.0.0) 1 | mod_syndicate (3.0.0) 1 | mod_tags_popular (3.1.0) 1 | mod_random_image (3.0.0) 1 | mod_wrapper (3.0.0) 1 | mod_languages (3.5.0) 1 | mod_related_items (3.0.0) 1 | mod_banners (3.0.0) 1 | mod_custom (3.0.0) 1 | mod_articles_archive (3.0.0) 1 | mod_articles_category (3.0.0) 1 |
3rd Party::

Modules :: Admin ::
Core :: mod_latest (3.0.0) 1 | mod_stats_admin (3.0.0) 1 | mod_menu (3.0.0) 1 | mod_toolbar (3.0.0) 1 | mod_login (3.0.0) 1 | mod_latestactions (3.9.0) 1 | mod_version (3.0.0) 1 | mod_feed (3.0.0) 1 | mod_submenu (3.0.0) 1 | mod_privacy_dashboard (3.9.0) 1 | mod_multilangstatus (3.0.0) 1 | mod_quickicon (3.0.0) 1 | mod_title (3.0.0) 1 | mod_sampledata (3.8.0) 1 | mod_status (3.0.0) 1 | mod_logged (3.0.0) 1 | mod_popular (3.0.0) 1 | mod_custom (3.0.0) 1 |
3rd Party::

Libraries ::
Core ::
3rd Party::

Plugins ::
Core :: plg_fields_text (3.7.0) 1 | plg_fields_checkboxes (3.7.0) 1 | plg_fields_color (3.7.0) 1 | plg_fields_imagelist (3.7.0) 1 | plg_fields_sql (3.7.0) 1 | plg_fields_calendar (3.7.0) 1 | plg_fields_usergrouplist (3.7.0) 1 | plg_fields_textarea (3.7.0) 1 | plg_fields_list (3.7.0) 1 | plg_fields_media (3.7.0) 1 | plg_fields_editor (3.7.0) 1 | plg_fields_radio (3.7.0) 1 | plg_fields_integer (3.7.0) 1 | plg_fields_user (3.7.0) 1 | plg_fields_repeatable (3.9.0) 1 | plg_fields_url (3.7.0) 1 | plg_editors-xtd_image (3.0.0) 1 | plg_editors-xtd_fields (3.7.0) 1 | plg_editors-xtd_readmore (3.0.0) 1 | plg_editors-xtd_menu (3.7.0) 1 | plg_editors-xtd_module (3.5.0) 1 | plg_editors-xtd_pagebreak (3.0.0) 1 | plg_editors-xtd_article (3.0.0) 1 | plg_privacy_actionlogs (3.9.0) 1 | plg_privacy_consents (3.9.0) 1 | plg_privacy_user (3.9.0) 1 | plg_privacy_message (3.9.0) 1 | plg_privacy_content (3.9.0) 1 | plg_search_categories (3.0.0) 0 | plg_search_newsfeeds (3.0.0) 1 | plg_search_contacts (3.0.0) 0 | plg_search_tags (3.0.0) 0 | plg_search_content (3.0.0) 1 | plg_user_contactcreator (3.0.0) 0 | plg_user_profile (3.0.0) 1 | plg_user_terms (3.9.0) 0 | plg_user_joomla (3.0.0) 1 | plg_system_cache (3.0.0) 0 | plg_system_fields (3.7.0) 1 | plg_system_debug (3.0.0) 1 | PLG_SYSTEM_ACTIONLOGS (3.9.0) 0 | plg_system_languagecode (3.0.0) 0 | plg_system_redirect (3.0.0) 1 | plg_system_logrotation (3.9.0) 1 | plg_system_privacyconsent (3.9.0) 0 | plg_system_logout (3.0.0) 1 | plg_system_sef (3.0.0) 1 | plg_system_p3p (3.0.0) 1 | plg_system_stats (3.5.0) 1 | plg_system_highlight (3.0.0) 1 | plg_system_remember (3.0.0) 0 | plg_system_languagefilter (3.0.0) 0 | plg_system_updatenotification (3.5.0) 1 | plg_system_sessiongc (3.8.6) 1 | plg_system_log (3.0.0) 1 | PLG_ACTIONLOG_JOOMLA (3.9.0) 1 | plg_captcha_recaptcha_invisible (3.8) 0 | plg_captcha_recaptcha (3.4.0) 1 | plg_finder_categories (3.0.0) 0 | plg_finder_newsfeeds (3.0.0) 0 | plg_finder_contacts (3.0.0) 0 | plg_finder_tags (3.0.0) 0 | plg_finder_content (3.0.0) 1 | plg_extension_joomla (3.0.0) 1 | plg_quickicon_phpversioncheck (3.7.0) 1 | plg_quickicon_extensionupdate (3.0.0) 1 | plg_quickicon_joomlaupdate (3.0.0) 1 | plg_quickicon_privacycheck (3.9.0) 1 | PLG_INSTALLER_URLINSTALLER (3.6.0) 1 | PLG_INSTALLER_FOLDERINSTALLER (3.6.0) 1 | plg_installer_packageinstaller (3.6.0) 1 | plg_authentication_gmail (3.0.0) 0 | plg_authentication_ldap (3.0.0) 0 | plg_authentication_joomla (3.0.0) 1 | plg_authentication_cookie (3.0.0) 1 | plg_twofactorauth_totp (3.2.0) 1 | plg_twofactorauth_yubikey (3.2.0) 1 | plg_content_pagenavigation (3.0.0) 1 | plg_content_fields (3.7.0) 1 | plg_content_vote (3.0.0) 1 | plg_content_emailcloak (3.0.0) 0 | plg_content_confirmconsent (3.9.0) 0 | plg_content_loadmodule (3.0.0) 1 | plg_content_finder (3.0.0) 1 | plg_content_joomla (3.0.0) 1 | plg_content_pagebreak (3.0.0) 1 |
3rd Party:: plg_editors_tinymce (4.5.9) 1 | plg_editors_codemirror (5.40.0) 1 |
Templates Discovered :: wrote:Templates :: Site :: jm-commune-offices (1.03) 1 | beez3 (3.1.0) 0 | beez5 (2.5.0) 0 | protostar (1.0) 0 | atomic (2.5.0) 0 | beez_20 (2.5.0) 0 |
Templates :: Admin :: isis (1.0) 1 | hathor (3.0.0) 0 |

User avatar
AMurray
Joomla! Champion
Joomla! Champion
Posts: 7238
Joined: Sat Feb 13, 2010 7:35 am
Location: Australia

Re: Migrating to new Server Errors

Post by AMurray » Wed Oct 20, 2021 10:17 pm

Either way, I've removed php 8 and rolled all the way back to php 5.6 because that's what the original server was running the FPA dashboard is showing green now. Now I'm dealing with issues :( Missing EF4 Joomla-Monster Framework plugin and I can't access the administrator page. The admin page just comes up with the php file as text.
Is the front-end showing the website? The issue with PHP showing as text, suggests an issue with the PHP interpreter, with the installation of PHP.

I think the safer option while you have Joomla 3.9.5 is to use PHP 7.3 or 7.4 as they are current in the 7.x series (but 7.3 is approaching EOL in November 2021).

It may be that you need PHP 7.2 for Joomla 3.9.5 (temporarily), but it depends on the site and its extensions which PHP version is the most suitable.

Joomla Monster framework website doesn't suggest it runs on PHP 8 (it's requirement states PHP 5.3.10 same as Joomla minimum), and its change log indicates an update in July 2021 but nothing concerning PHP requirements.

There seems to be a mix of Joomla 2.5 and 3.x (old templates from 2.5). There are some old templates that should be uninstalled when you get the site up.

There are other issues to sort out first - out of date and vulnerable Joomla version and extensions and PHP 8 is the least of these issues at the current time.

Edit: It may even be worth your time, setting up a local server on your computer running WAMPServer. I recommend this one because you install multiple PHP versions as 'add-ons'. So, you can then test the site with varying PHP 7.x versions.
Regards - A Murray

gsmela
Joomla! Enthusiast
Joomla! Enthusiast
Posts: 193
Joined: Thu Jun 10, 2010 12:38 pm
Contact:

Re: Migrating to new Server Errors

Post by gsmela » Wed Oct 20, 2021 11:29 pm

Also note the link you provided:

"This server was just given to me to move from one provider to another and I have no idea why nobody was updating it. You say that 3.95 is not php8 compatible, but the Joomla site differently: https://downloads.joomla.org/technical-requirements"

refers to Joomla! 4

User avatar
AMurray
Joomla! Champion
Joomla! Champion
Posts: 7238
Joined: Sat Feb 13, 2010 7:35 am
Location: Australia

Re: Migrating to new Server Errors

Post by AMurray » Thu Oct 21, 2021 10:14 pm

gsmela wrote:Also note the link you provided:

"This server was just given to me to move from one provider to another and I have no idea why nobody was updating it. You say that 3.95 is not php8 compatible, but the Joomla site differently: https://downloads.joomla.org/technical-requirements"

refers to Joomla! 4
Right below the "System requirements for Joomla 4" it states "System Requirements for Joomla 3", showing PHP 8 as *recommended* not *required*.
Regards - A Murray

User avatar
Webdongle
Joomla! Master
Joomla! Master
Posts: 40472
Joined: Sat Apr 05, 2008 9:58 pm

Re: Migrating to new Server Errors

Post by Webdongle » Thu Oct 21, 2021 11:03 pm

AMurray wrote:
Thu Oct 21, 2021 10:14 pm
...

Right below the "System requirements for Joomla 4" it states "System Requirements for Joomla 3", showing PHP 8 as *recommended* not *required*.
But it should not say 'Recommended' for 3.x when not all J3 versions work with php 8

It now says at the top of the page
All recommended versions are based on the latest released version of each series
But that does not excuse the fact it says that php 8 is 'Recommended' for 3.x. It should say 'Recommended' for 3.10.2. Or list which php version for what J3 releases as that would be helpful to anyone who has to upgrade from an earlier version. Not all of us know which php version works with which Joomla version.

The docs used to be more accurate about php versions suitable for Joomla versions. But for some reason that disappeared.
http://www.weblinksonline.co.uk/
https://www.weblinksonline.co.uk/updating-joomla.html
"When I'm right no one remembers but when I'm wrong no one forgets".

User avatar
changlee
Joomla! Explorer
Joomla! Explorer
Posts: 452
Joined: Tue Nov 20, 2007 11:05 am
Location: Greece
Contact:

Re: Migrating to new Server Errors

Post by changlee » Tue Nov 02, 2021 8:27 am

J!3.9.5

Why man?
If you do not programm your life, someone else will do it for you.
SMTP Newsletter APP: https://www.emailbat.com


Post Reply

Return to “Installation Joomla! 3.x”